## org.exist.storage.txn
Class Txn

    java.lang.Object
      org.exist.storage.txn.Txn

public class Txn
extends java.lang.Object

Author:
  wolf

Constructor Summary
`Txn(long transactionId)`

Method Summary
`void` `acquireLock(Lock lock, int lockMode)`
`long` `getId()`
`void` `registerLock(Lock lock, int lockMode)`
`void` `releaseAll()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Txn

    public Txn(long transactionId)

Method Detail

### getId

    public long getId()

### registerLock

    public void registerLock(Lock lock,
                             int lockMode)

### acquireLock

    public void acquireLock(Lock lock,
                            int lockMode)
                     throws LockException

  Throws:
    `LockException`

### releaseAll

    public void releaseAll()

Copyright (C) Wolfgang Meier. All rights reserved.